class Style:
    style_lineEdit_error = (
        """
        QLineEdit {
            background-color: rgb(27, 29, 35);
            border-radius: 5px;
            border: 2px solid rgb(160, 38, 46);
            padding-left: 10px;
        }
        QLineEdit:hover {
            border: 2px solid rgb(200, 48, 58);
        }
        QLineEdit:focus {
            border: 2px solid rgb(160, 38, 46);
        }
        """
    )

    style_lineEdit_standard = (
        """
        QLineEdit {
	        background-color: rgb(27, 29, 35);
	        border-radius: 5px;
	        border: 2px solid rgb(27, 29, 35);
	        padding-left: 10px;
        }
        QLineEdit:hover {
        	border: 2px solid rgb(64, 71, 88);
        }
        QLineEdit:focus {
        	border: 2px solid rgb(91, 101, 124);
        }
        """
    )

    style_cb_standard = (
        """
        QComboBox{
        	background-color: rgb(27, 29, 35);
        	border-radius: 5px;
        	border: 2px solid rgb(27, 29, 35);
        	padding: 5px;
        	padding-left: 10px;
        	combobox-popup: 0;
        }
        QComboBox:hover{
        	border: 2px solid rgb(64, 71, 88);
        }
        QComboBox QAbstractItemView {
        	color: rgb(85, 170, 255);	
        	background-color: rgb(27, 29, 35);
        	padding: 5px;
        	selection-background-color: rgb(39, 44, 54);
        }
        
        QComboBox::down-arrow:on {
            top: 1px;
        }
        
        QComboBox::drop-down 
        {
             subcontrol-origin: padding;
             subcontrol-position: top right;
             width: 22px;
         
             border-left-width: 1px;
             border-left-color: darkgray;
             border-left-style: solid; /* just a single line */
             border-top-right-radius: 3px; /* same radius as the QComboBox */
             border-bottom-right-radius: 3px;
             /*border: 1px; /* This seems to replace the whole arrow of the combo box */
        }
        
        /* Define a new custom arrow icon for the combo box */
        QComboBox::down-arrow {
        
        	image: url(:/cil-chevron-bottom.png);
            width: 16px;
            height: 16px;
        }
        """
    )

    style_btn_standard = (
        """
    QPushButton {
    	color:rgb(255, 255, 255);
    	border: 2px solid rgb(52, 59, 72);
    	border-radius: 5px;	
    	background-color: rgb(52, 59, 72);
    }
    QPushButton:hover {
    	background-color: rgb(57, 65, 80);
    	border: 2px solid rgb(61, 70, 86);
    }
    QPushButton:pressed {	
    	background-color: rgb(35, 40, 49);
    	border: 2px solid rgb(43, 50, 61);
    }
        """
    )

    style_btn_error = (
        """
    QPushButton {
        color:rgb(255, 255, 255);
        border: 2px solid rgb(220, 50, 57);
        border-radius: 5px;	
        background-color: rgb(52, 59, 72);
    }
    QPushButton:hover {
        background-color: rgb(57, 65, 80); 
        border: 2px solid rgb(183, 44, 51);
    }
    QPushButton:pressed {
        background-color: rgb(35, 40, 49);
        border: 2px solid rgb(140, 38, 46);
    }
        """
    )

    style_btn_menu_standard = (
        """
    QPushButton {
        background-image: ICON_REPLACE;
        background-position: left center;
        background-repeat: no-repeat;
        border: none;
        border-left: 28px solid rgb(27, 29, 35);
        background-color: rgb(27, 29, 35);
        text-align: left;
        padding-left: 45px;
    }
    QPushButton[Active=true] {
        background-image: ICON_REPLACE;
        background-position: left center;
        background-repeat: no-repeat;
        border: none;
        border-left: 28px solid rgb(27, 29, 35);
        border-right: 5px solid rgb(44, 49, 60);
        background-color: rgb(27, 29, 35);
        text-align: left;
        padding-left: 45px;
    }
    QPushButton:hover {
        background-color: rgb(33, 37, 43);
        border-left: 28px solid rgb(33, 37, 43);
    }
    QPushButton:pressed {
        background-color: rgb(85, 170, 255);
        border-left: 28px solid rgb(85, 170, 255);
    }
    """
    )
